## com.lowagie.rups.view
Interface PageNavigationListener

All Known Implementing Classes:
  RupsController

    public interface PageNavigationListener

Interface that has to be implemented by every class that listens to page navigation features; keys that are pressed, buttons that are pushed,...

Method Summary
`int` `getCurrentPageNumber()` Returns the current page number of a document.
`int` `getTotalNumberOfPages()` Returns the total number of pages in a document.
`int` `gotoFirstPage()` Goes to the first page in a document.
`int` `gotoLastPage()` Goes to the last page in a document.
`int` `gotoNextPage()` Goes to the previous page in a document.
`int` `gotoPage(int pageNumber)` Goes to a specific page number in a document.
`int` `gotoPreviousPage()` Goes to the previous page in a document.

Method Detail

### getTotalNumberOfPages

    int getTotalNumberOfPages()

  Returns the total number of pages in a document.

  Returns:
    the total number of pages in a document.

### getCurrentPageNumber

    int getCurrentPageNumber()

  Returns the current page number of a document.

  Returns:
    the current page number.

### gotoFirstPage

    int gotoFirstPage()

  Goes to the first page in a document.

  Returns:
    the resulting page number. Can be different from 1 if the document is null

### gotoPreviousPage

    int gotoPreviousPage()

  Goes to the previous page in a document.

  Returns:
    the resulting page number. Can be different from (current page - 1) if the document is null or the current page = 1.

### gotoPage

    int gotoPage(int pageNumber)

  Goes to a specific page number in a document.

  Parameters:
    `pageNumber` -
  Returns:
    the resulting page number. Can be different from pageNumber if pageNumber doesn't exist.

### gotoNextPage

    int gotoNextPage()

  Goes to the previous page in a document.

  Returns:
    the resulting page number. Can be different from (current page + 1) if the document is null or the current page equals the total number of pages.

### gotoLastPage

    int gotoLastPage()

  Goes to the last page in a document.

  Returns:
    the resulting page number. Can be different from the total number of pages if the document is null

Hosted by Hostbasket